%define upstream_name    Git-Version-Compare
%define upstream_version 1.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Functions to compare Git versions
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
the Git::Version::Compare manpage contains a selection of subroutines that
make dealing with Git-related things (like versions) a little bit easier.

The strings to compare can be version numbers, tags from 'git.git' or the
output of 'git version' or 'git describe'.

These routines collect the knowledge about Git versions that was
accumulated while developing the Git::Repository manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.5.0-2.mga10
+ Revision: 2217444
- Mageia 10 Mass Rebuild

* Mon Jan 16 2023 tv <tv> 1.5.0-1.mga9
+ Revision: 1933758
- update to 1.005

* Sun Mar 20 2022 umeabot <umeabot> 1.4.0-4.mga9
+ Revision: 1803843
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.4.0-3.mga8
+ Revision: 1494745
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1268297
- Mageia 7 Mass Rebuild

* Sat May 28 2016 shlomif <shlomif> 1.4.0-1.mga6
+ Revision: 1019204
- New version 1.004

* Sun May 08 2016 shlomif <shlomif> 1.3.0-1.mga6
+ Revision: 1010667
- update to 1.003

* Thu Apr 28 2016 shlomif <shlomif> 1.2.0-1.mga6
+ Revision: 1007250
- update to 1.002

* Fri Apr 15 2016 shlomif <shlomif> 1.1.0-1.mga6
+ Revision: 1001977
- imported package perl-Git-Version-Compare


* Fri Apr 15 2016 cpan2dist 1.001-1mga
- initial mageia release, generated with cpan2dist
